List
curl --request GET \
--url https://devx.{environment}.oleria.io/v1/entity-member-of-entity \
--header 'Authorization: Bearer <token>'import requests
url = "https://devx.{environment}.oleria.io/v1/entity-member-of-entity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devx.{environment}.oleria.io/v1/entity-member-of-entity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devx.{environment}.oleria.io/v1/entity-member-of-entity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://devx.{environment}.oleria.io/v1/entity-member-of-entity"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://devx.{environment}.oleria.io/v1/entity-member-of-entity")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://devx.{environment}.oleria.io/v1/entity-member-of-entity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"childId": "<string>",
"childType": "Account",
"id": "<string>",
"objectMetadata": {
"ApplicationInstanceId": "<string>",
"GeneratedTime": "2023-11-07T05:31:56Z",
"Profile": "Account",
"ObjectOrRelationshipType": "<string>"
},
"parentId": "<string>",
"parentType": "Account",
"globalChildId": "<string>",
"globalChildType": "Oleria_IntegratedApplication",
"globalId": "<string>",
"globalParentId": "<string>",
"globalParentType": "Oleria_IntegratedApplication",
"oleriaObjectMetadata": {
"enrichmentVersion": "<string>",
"generatedTime": "2023-11-07T05:31:56Z"
},
"expirationDate": "2023-11-07T05:31:56Z",
"federationSpecification": {
"isFederated": true,
"connectionType": "Source",
"sourceAuthenticationKey": "<string>",
"targetAuthenticationKey": "<string>"
},
"scopedMembershipPermissions": {
"aggregateOwnershipLevel": "Owner",
"name": "<string>",
"specifications": [
{
"fineGrainedResourceClass": "repo",
"fineGrainedSpecifiers": [
"manage_github_actions_permissions_policy",
"view_collaborators"
],
"formattedScopes": {
"specifiers": [
"<string>"
],
"type": "OAuth"
},
"isCreate": true,
"isDelete": true,
"isExecute": true,
"isPrivileged": true,
"isRead": true,
"isShare": true,
"isUpdate": true,
"ownershipLevel": "Owner",
"owners": [
{
"federationInformation": {
"isFederated": true,
"authenticationKey": "<string>"
},
"objectId": "<string>",
"objectType": "Account"
}
],
"permissionGroupId": "<string>",
"specificationMetadata": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
}
]
},
"globalScopedMembershipPermissions": {
"aggregateOwnershipLevel": "Owner",
"name": "<string>",
"specifications": [
{
"fineGrainedResourceClass": "repo",
"fineGrainedSpecifiers": [
"manage_github_actions_permissions_policy",
"view_collaborators"
],
"formattedScopes": {
"specifiers": [
"<string>"
],
"type": "OAuth"
},
"isCreate": true,
"isDelete": true,
"isExecute": true,
"isPrivileged": true,
"isRead": true,
"isShare": true,
"isUpdate": true,
"ownershipLevel": "Owner",
"owners": [
{
"federationInformation": {
"isFederated": true,
"authenticationKey": "<string>"
},
"objectId": "<string>",
"objectType": "Account"
}
],
"permissionGroupId": "<string>",
"specificationMetadata": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
}
]
},
"enrichedAggregateOwnershipLevel": "Owner",
"analyticsLoginEventCount": 123,
"analyticsResourceAccessEventCount": 123,
"analyticsLastActivityDate": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}{
"code": "BAD_REQUEST",
"message": "The request was malformed."
}{
"code": "UNAUTHORIZED",
"message": "Missing or invalid authentication token."
}{
"code": "FORBIDDEN",
"message": "The token lacks the required scope."
}{
"code": "TOO_MANY_REQUESTS",
"message": "Rate limit exceeded. Retry after the specified interval."
}{
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred."
}Memberships
List
Returns a page of memberships. Pass pageToken from the previous response’s nextPageToken to fetch the next page. A page can be empty while the results are still being prepared. Keep requesting pages until the response has no nextPageToken. Requires the https://devx.{environment}.oleria.io/read scope.
GET
/
v1
/
entity-member-of-entity
List
curl --request GET \
--url https://devx.{environment}.oleria.io/v1/entity-member-of-entity \
--header 'Authorization: Bearer <token>'import requests
url = "https://devx.{environment}.oleria.io/v1/entity-member-of-entity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devx.{environment}.oleria.io/v1/entity-member-of-entity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devx.{environment}.oleria.io/v1/entity-member-of-entity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://devx.{environment}.oleria.io/v1/entity-member-of-entity"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://devx.{environment}.oleria.io/v1/entity-member-of-entity")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://devx.{environment}.oleria.io/v1/entity-member-of-entity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"childId": "<string>",
"childType": "Account",
"id": "<string>",
"objectMetadata": {
"ApplicationInstanceId": "<string>",
"GeneratedTime": "2023-11-07T05:31:56Z",
"Profile": "Account",
"ObjectOrRelationshipType": "<string>"
},
"parentId": "<string>",
"parentType": "Account",
"globalChildId": "<string>",
"globalChildType": "Oleria_IntegratedApplication",
"globalId": "<string>",
"globalParentId": "<string>",
"globalParentType": "Oleria_IntegratedApplication",
"oleriaObjectMetadata": {
"enrichmentVersion": "<string>",
"generatedTime": "2023-11-07T05:31:56Z"
},
"expirationDate": "2023-11-07T05:31:56Z",
"federationSpecification": {
"isFederated": true,
"connectionType": "Source",
"sourceAuthenticationKey": "<string>",
"targetAuthenticationKey": "<string>"
},
"scopedMembershipPermissions": {
"aggregateOwnershipLevel": "Owner",
"name": "<string>",
"specifications": [
{
"fineGrainedResourceClass": "repo",
"fineGrainedSpecifiers": [
"manage_github_actions_permissions_policy",
"view_collaborators"
],
"formattedScopes": {
"specifiers": [
"<string>"
],
"type": "OAuth"
},
"isCreate": true,
"isDelete": true,
"isExecute": true,
"isPrivileged": true,
"isRead": true,
"isShare": true,
"isUpdate": true,
"ownershipLevel": "Owner",
"owners": [
{
"federationInformation": {
"isFederated": true,
"authenticationKey": "<string>"
},
"objectId": "<string>",
"objectType": "Account"
}
],
"permissionGroupId": "<string>",
"specificationMetadata": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
}
]
},
"globalScopedMembershipPermissions": {
"aggregateOwnershipLevel": "Owner",
"name": "<string>",
"specifications": [
{
"fineGrainedResourceClass": "repo",
"fineGrainedSpecifiers": [
"manage_github_actions_permissions_policy",
"view_collaborators"
],
"formattedScopes": {
"specifiers": [
"<string>"
],
"type": "OAuth"
},
"isCreate": true,
"isDelete": true,
"isExecute": true,
"isPrivileged": true,
"isRead": true,
"isShare": true,
"isUpdate": true,
"ownershipLevel": "Owner",
"owners": [
{
"federationInformation": {
"isFederated": true,
"authenticationKey": "<string>"
},
"objectId": "<string>",
"objectType": "Account"
}
],
"permissionGroupId": "<string>",
"specificationMetadata": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
}
]
},
"enrichedAggregateOwnershipLevel": "Owner",
"analyticsLoginEventCount": 123,
"analyticsResourceAccessEventCount": 123,
"analyticsLastActivityDate": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}{
"code": "BAD_REQUEST",
"message": "The request was malformed."
}{
"code": "UNAUTHORIZED",
"message": "Missing or invalid authentication token."
}{
"code": "FORBIDDEN",
"message": "The token lacks the required scope."
}{
"code": "TOO_MANY_REQUESTS",
"message": "Rate limit exceeded. Retry after the specified interval."
}{
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred."
}Authorizations
Scopes
Query Parameters
Response
A page of memberships.
Was this page helpful?

